$branded_fonts: 'Didact Gothic', sans-serif;

$weight_normal: 400;
$weight_bold: 700;

// Typographic scaling. The distance between font sizes is determined by the
// base font size, which is set by the browser. In addition, the larger the
// screen size, the larger the interval between font sizes.
// See: https://24ways.org/2019/a-modern-typographic-scale/ for more details.
:root {
    $interval: 1.2;    // Unitless for proportional, unit for fixed.
    $body-text: 1rem;  // Must have a unit.
    $scale-min: -2;
    $scale-max: 4;

    --int: #{$interval};
    --scale0: #{$body-text};

    @if $scale-min < 0 {
        // Generate scale variables smaller than the base text size.
        @for $i from -1 through $scale-min {
            @if type-of($interval) == number {
                @if unitless($interval) {
                    --scale#{$i}: calc(var(--scale#{$i + 1}) / var(--int));
                } @else {
                    --scale#{$i}: calc(var(--scale#{$i + 1}) - var(--int));
                }
            }
        }
    }
    @if $scale-max > 0 {
        // Generate scale variables larger than the base text size.
        @for $i from 1 through $scale-max {
            @if type-of($interval) == number {
                @if unitless($interval) {
                    --scale#{$i}: calc(var(--scale#{$i - 1}) * var(--int));
                } @else {
                    --scale#{$i}: calc(var(--scale#{$i - 1}) + var(--int));
                }
            }
        }
    }
}

@media (min-width: 22em) {
    :root {
        --int: 1.1
    }
}
@media (min-width: 32em) {
    :root {
        --int: 1.4
    }
}
@media (min-width: 42em) {
    :root {
        --int: 1.6
    }
}
